<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>MainWindow</class>
 <widget class="QMainWindow" name="MainWindow">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>816</width>
    <height>535</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>CSC 473 - V00786126 - Final Project</string>
  </property>
  <widget class="QWidget" name="centralWidget">
   <layout class="QHBoxLayout" name="horizontalLayout">
    <item>
     <widget class="GLWidget" name="renderWidget" native="true">
      <property name="sizePolicy">
       <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
     </widget>
    </item>
    <item>
     <widget class="QGroupBox" name="groupBox">
      <property name="sizePolicy">
       <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
      <property name="title">
       <string>Controls</string>
      </property>
      <layout class="QVBoxLayout" name="verticalLayout">
       <item>
        <widget class="QPushButton" name="scene1Btn">
         <property name="text">
          <string>1000 Rigid</string>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QPushButton" name="scene2Btn">
         <property name="text">
          <string>1000 Fluid</string>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QPushButton" name="scene3Btn">
         <property name="text">
          <string>1000 Mixed</string>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QPushButton" name="resetBtn">
         <property name="text">
          <string>Reset</string>
         </property>
        </widget>
       </item>
       <item>
        <spacer name="verticalSpacer">
         <property name="orientation">
          <enum>Qt::Vertical</enum>
         </property>
         <property name="sizeHint" stdset="0">
          <size>
           <width>20</width>
           <height>40</height>
          </size>
         </property>
        </spacer>
       </item>
       <item>
        <widget class="QLabel" name="label">
         <property name="text">
          <string>Fluid Threshold</string>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QSlider" name="thresholdSlider">
         <property name="value">
          <number>75</number>
         </property>
         <property name="orientation">
          <enum>Qt::Horizontal</enum>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QCheckBox" name="dynamicCB">
         <property name="text">
          <string>Dynamic Form</string>
         </property>
         <property name="checked">
          <bool>true</bool>
         </property>
         <property name="tristate">
          <bool>false</bool>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QCheckBox" name="coloredCB">
         <property name="text">
          <string>Color Coded</string>
         </property>
         <property name="checked">
          <bool>true</bool>
         </property>
        </widget>
       </item>
       <item>
        <widget class="Line" name="line">
         <property name="orientation">
          <enum>Qt::Horizontal</enum>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QLabel" name="rigidLabel">
         <property name="sizePolicy">
          <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
           <horstretch>0</horstretch>
           <verstretch>0</verstretch>
          </sizepolicy>
         </property>
         <property name="baseSize">
          <size>
           <width>0</width>
           <height>0</height>
          </size>
         </property>
         <property name="text">
          <string>&lt;no data&gt;</string>
         </property>
         <property name="textFormat">
          <enum>Qt::PlainText</enum>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QLabel" name="fluidLabel">
         <property name="text">
          <string>&lt;no data&gt;</string>
         </property>
         <property name="textFormat">
          <enum>Qt::PlainText</enum>
         </property>
        </widget>
       </item>
       <item>
        <spacer name="verticalSpacer_2">
         <property name="orientation">
          <enum>Qt::Vertical</enum>
         </property>
         <property name="sizeHint" stdset="0">
          <size>
           <width>20</width>
           <height>40</height>
          </size>
         </property>
        </spacer>
       </item>
       <item>
        <widget class="QPushButton" name="pauseBtn">
         <property name="text">
          <string>Pause</string>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QPushButton" name="resumeBtn">
         <property name="text">
          <string>Resume</string>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QLabel" name="fpsLabel">
         <property name="font">
          <font>
           <pointsize>20</pointsize>
          </font>
         </property>
         <property name="text">
          <string>0 FPS</string>
         </property>
        </widget>
       </item>
      </layout>
     </widget>
    </item>
   </layout>
  </widget>
  <widget class="QStatusBar" name="statusBar"/>
  <widget class="QMenuBar" name="menuBar">
   <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
     <width>816</width>
     <height>21</height>
    </rect>
   </property>
  </widget>
 </widget>
 <layoutdefault spacing="6" margin="11"/>
 <customwidgets>
  <customwidget>
   <class>GLWidget</class>
   <extends>QWidget</extends>
   <header>glwidget.h</header>
   <container>1</container>
   <slots>
    <slot>pauseTimer()</slot>
    <slot>resumeTimer()</slot>
    <slot>reset()</slot>
    <slot>setUpScene1()</slot>
    <slot>setUpScene2()</slot>
    <slot>setUpScene3()</slot>
   </slots>
  </customwidget>
 </customwidgets>
 <resources/>
 <connections>
  <connection>
   <sender>pauseBtn</sender>
   <signal>clicked()</signal>
   <receiver>renderWidget</receiver>
   <slot>pauseTimer()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>759</x>
     <y>455</y>
    </hint>
    <hint type="destinationlabel">
     <x>357</x>
     <y>267</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>resumeBtn</sender>
   <signal>clicked()</signal>
   <receiver>renderWidget</receiver>
   <slot>resumeTimer()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>759</x>
     <y>484</y>
    </hint>
    <hint type="destinationlabel">
     <x>357</x>
     <y>267</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>resetBtn</sender>
   <signal>clicked()</signal>
   <receiver>renderWidget</receiver>
   <slot>reset()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>759</x>
     <y>93</y>
    </hint>
    <hint type="destinationlabel">
     <x>357</x>
     <y>267</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>scene1Btn</sender>
   <signal>clicked()</signal>
   <receiver>renderWidget</receiver>
   <slot>setUpScene1()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>759</x>
     <y>64</y>
    </hint>
    <hint type="destinationlabel">
     <x>357</x>
     <y>267</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>scene2Btn</sender>
   <signal>clicked()</signal>
   <receiver>renderWidget</receiver>
   <slot>setUpScene2()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>759</x>
     <y>93</y>
    </hint>
    <hint type="destinationlabel">
     <x>357</x>
     <y>267</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>scene3Btn</sender>
   <signal>clicked()</signal>
   <receiver>renderWidget</receiver>
   <slot>setUpScene3()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>759</x>
     <y>122</y>
    </hint>
    <hint type="destinationlabel">
     <x>357</x>
     <y>267</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>coloredCB</sender>
   <signal>clicked()</signal>
   <receiver>renderWidget</receiver>
   <slot>update()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>751</x>
     <y>294</y>
    </hint>
    <hint type="destinationlabel">
     <x>349</x>
     <y>267</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
